我没有在sdk中获得针对Google Play服务的“com.google.android.gms:play-services-wallet:8.4.0”更新

我已经完全更新了我的Android SDK,但是我还没有获得Google Play服务版本8.4.0的更新,例如,在实现Android Pay的链接中提到的“com.google.android.gms:play-services-wallet:8.4.0” https://developers.google.com/android-pay/android/tutorial 。

每当我在build.gradle中添加以下代码行:“compile”com.google.android.gms:play-services-wallet:8.4.0'“时,出现以下错误:无法parsing:com.google.android.gms:发挥服务钱包:8.4.0

  • compile,testCompile和gradle依赖项之间的区别是什么
  • 从eclipse + SVN迁移到Android Studio
  • 使用Gradle在分离的dex文件中拆分外部库以解决Android Dalvik 64k方法的限制
  • 如何使用gradle生成签名和未签名的APK?
  • AndroidStudio Gradle:如何configurationbuildTypes,并检查构build时的哪个buildType?
  • Crashlytics与Android Studio构build错误
  • 为Android开发使用与离散gradle的intelliJ
  • 如何使用gradle动态切换/更改testInstrumentationRunner
  • 遇到错误后,您将获得Android Studio的三个select

    安装存储库和同步项目

    在文件中显示

    在项目结构对话框中显示

    您只需点击“ 安装资源库和同步项目 ”。 之后,它为我工作得很好。

    它也不适合我。 我想这只是不可用。

    但下面的实现现在正在为我工​​作:

    apply plugin: 'com.android.application' ... dependencies { compile 'com.google.android.gms:play-services-wallet:8.4.0' } 

    我目前正在尝试使用Android Studio制作应用程序,并且遇到同样的问题。 通过在我的Windows机器上以pipe理员身份启动Android Studio并解决它,让gradle resync(只重build项目)。

    希望任何人认为这有用。 ;)

    安装了所有最新版本的构build工具和其他更新后,这个问题已经得到修复,现在我得到了这个库的更新,并且工作正常。